#include "types.r"
#include "SysTypes.r"

resource 'MENU' (130, preload) {
	130,
	textMenuProc,
	0x3400,
	enabled,
	"Edit",
	{	/* array: 13 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain,
		/* [7] */
		"-", noIcon, noKey, noMark, plain,
		/* [8] */
		"Create Publisher...", noIcon, noKey, noMark, plain,
		/* [9] */
		"Subscribe to...", noIcon, noKey, noMark, plain,
		/* [10] */
		"Publisher Options...", noIcon, noKey, noMark, plain,
		/* [11] */
		"Show Borders", noIcon, noKey, noMark, plain,
		/* [12] */
		"-", noIcon, noKey, noMark, plain,
		/* [13] */
		"Show Clipboard", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	0xF5F,
	enabled,
	"File",
	{	/* array: 9 elements */
		/* [1] */
		"New...", noIcon, "N", noMark, plain,
		/* [2] */
		"Open...", noIcon, "O", noMark, plain,
		/* [3] */
		"Close", noIcon, "W", noMark, plain,
		/* [4] */
		"Save...", noIcon, "S", noMark, plain,
		/* [5] */
		"Save as...", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [7] */
		"Print...", noIcon, noKey, noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFEF,
	enabled,
	"Tools",
	{	/* array: 6 elements */
		/* [1] */
		"Line", noIcon, noKey, noMark, plain,
		/* [2] */
		"Rectangle", noIcon, noKey, noMark, plain,
		/* [3] */
		"Oval", noIcon, noKey, noMark, plain,
		/* [4] */
		"Text Box", noIcon, noKey, noMark, plain,
		/* [5] */
		"-", noIcon, noKey, noMark, plain,
		/* [6] */
		"Select", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (132) {
	132,
	textMenuProc,
	0x7FFFFFF9,
	enabled,
	"EM Additional Stuff",
	{	/* array: 3 elements */
		/* [1] */
		"Use Expanded dialogs", noIcon, noKey, noMark, plain,
		/* [2] */
		"GetEditionInfo", noIcon, noKey, noMark, plain,
		/* [3] */
		"Subscribe to EdSamp files", noIcon, noKey, noMark, plain
	}
};



resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'edtu',
	1,
	""
};

resource 'FREF' (130) {
	'edtP',
	2,
	""
};

resource 'FREF' (131) {
	'edtT',
	3,
	""
};

resource 'FREF' (132) {
	'edts',
	4,
	""
};

resource 'FREF' (133) {
	'Fred',
	5,
	""
};

resource 'ALRT' (129) {
	{40, 40, 240, 280},
	131,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (128) {
	{40, 40, 232, 341},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
	/****** Extra bytes follow... ******/
	/* $"300A"                                               /* 0. */
};

resource 'ALRT' (1000, "No more windows") {
	{52, 196, 196, 350},
	1000,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1001, "dirty") {
	{40, 40, 162, 452},
	1001,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (130) {
	{40, 40, 240, 280},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (131) {
	{40, 40, 240, 280},
	131,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (132) {
	{82, 120, 238, 356},
	132,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1003) {
	{40, 40, 159, 292},
	133,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1004) {
	{40, 40, 140, 331},
	1004,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (133) {
	{40, 40, 190, 442},
	129,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (1005, "delete sub") {
	{40, 40, 130, 280},
	1005,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'WIND' (8888, preload) {
	{40, 0, 340, 512},
	noGrowDocProc,
	invisible,
	goAway,
	0x0,
	"Untitled "
};

resource 'WIND' (128) {
	{40, 40, 214, 306},
	noGrowDocProc,
	invisible,
	goAway,
	0x0,
	"ClipBoard"
};

resource 'vers' (1) {
	0x2,
	0x1,
	alpha,
	0x1,
	verUS,
	"2.0.1a",
	"EditionSample"
};

resource 'vers' (2) {
	0x2,
	0x1,
	alpha,
	0x1,
	verUS,
	"2.0.1a",
	"EditionSample"
};

resource 'STR#' (1001, "Undo strings", purgeable) {
	{	/* array StringArray: 6 elements */
		/* [1] */
		"Can't Undo",
		/* [2] */
		"Undo line",
		/* [3] */
		"Undo rectangle",
		/* [4] */
		"Undo oval",
		/* [5] */
		"Undo text box",
		/* [6] */
		"Undo selection"
	}
};

resource 'STR#' (1002, "Clipboard types", purgeable) {
	{	/* array StringArray: 5 elements */
		/* [1] */
		"Clipboard contents: ",
		/* [2] */
		"Empty",
		/* [3] */
		"Picture",
		/* [4] */
		"Text",
		/* [5] */
		"Subscripton"
	}
};

resource 'STR#' (1003, "general strings", purgeable) {
	{	/* array StringArray: 1 elements */
		/* [1] */
		".pub"
	}
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	reserved,
	reserved,
	reserved,
	reserved,
	500000,
	200000
};

resource 'SIZE' (0) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	reserved,
	reserved,
	reserved,
	reserved,
	499712,
	200000
};



resource 'DITL' (130) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{144, 90, 164, 150},
		Button {
			enabled,
			"Done"
		},
		/* [2] */
		{38, 23, 122, 216},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (131) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{162, 82, 182, 142},
		Button {
			enabled,
			"Yeah"
		},
		/* [2] */
		{56, 8, 114, 224},
		StaticText {
			disabled,
			"^0 "
		},
		/* [3] */
		{7, 10, 39, 42},
		Icon {
			enabled,
			2
		},
		/* [4] */
		{11, 53, 51, 233},
		StaticText {
			disabled,
			"Error happened.  Problem occurred during"
		},
		/* [5] */
		{112, 8, 127, 212},
		StaticText {
			disabled,
			"Error code was/is"
		},
		/* [6] */
		{128, 8, 149, 168},
		StaticText {
			disabled,
			"^1"
		}
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{151, 115, 171, 185},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{27, 83, 50, 251},
		StaticText {
			disabled,
			"Edition Manager Sample."
		},
		/* [3] */
		{0, 0, 73, 65},
		Icon {
			disabled,
			128
		},
		/* [4] */
		{76, 3, 142, 299},
		StaticText {
			disabled,
			"FredWare from Apple Developer Technical "
			"Support, IAC group.\nCopyright  1990, 19"
			"91 Apple Computer Inc.\nWritten by C.K. H"
			"aun"
		},
		/* [5] */
		{53, 82, 71, 227},
		StaticText {
			disabled,
			"version 2.0.1beta"
		}
	}
};

resource 'DITL' (1000) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{109, 45, 129, 105},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{21, 60, 41, 120},
		StaticText {
			disabled,
			"Sorry"
		},
		/* [3] */
		{57, 16, 97, 139},
		StaticText {
			disabled,
			"No more windows can be opened."
		},
		/* [4] */
		{15, 17, 47, 49},
		Icon {
			enabled,
			2
		}
	}
};

resource 'DITL' (1001) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{90, 290, 114, 394},
		Button {
			enabled,
			"Save changes"
		},
		/* [2] */
		{90, 210, 114, 274},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{90, 80, 114, 191},
		Button {
			enabled,
			"Don't Save "
		},
		/* [4] */
		{8, 16, 40, 48},
		Icon {
			disabled,
			2
		},
		/* [5] */
		{8, 56, 62, 396},
		StaticText {
			disabled,
			"You have made changes to the document \"^"
			"0\" since the last time you saved it.  "
		},
		/* [6] */
		{64, 43, 81, 362},
		StaticText {
			disabled,
			"What would you like to do with the chang"
			"es?"
		}
	}
};

resource 'DITL' (132) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{127, 66, 145, 175},
		Button {
			enabled,
			"Be that way"
		},
		/* [2] */
		{0, 2, 103, 239},
		StaticText {
			disabled,
			"Menu Choice not yet implemented.\n\nCheck "
			"back tommorrow\n\nOr the next day...."
		}
	}
};

resource 'DITL' (133) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{9, 12, 41, 44},
		Icon {
			disabled,
			2
		},
		/* [2] */
		{10, 60, 69, 277},
		StaticText {
			disabled,
			"AppleEvents manager not installed, canno"
			"t run this sample."
		},
		/* [3] */
		{80, 180, 100, 238},
		Button {
			enabled,
			"Exit"
		}
	}
};

resource 'DITL' (1004) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{70, 210, 90, 270},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{12, 12, 44, 44},
		Icon {
			enabled,
			2
		},
		/* [3] */
		{10, 60, 52, 295},
		StaticText {
			disabled,
			"Edition Manager Pack could not be loaded"
			", sample cannot be run."
		}
	}
};

resource 'DITL' (2000, "Expanded DITL for publisher") {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{4, 8, 71, 211},
		CheckBox {
			enabled,
			"An Added CheckBox, \nuse \0x11 - A to toggle "
			"from\n the keyboard"
		}
	}
};

resource 'DITL' (129) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{117, 173, 137, 233},
		Button {
			enabled,
			"Done"
		},
		/* [2] */
		{4, 165, 21, 244},
		StaticText {
			disabled,
			"Edition Info"
		},
		/* [3] */
		{26, 11, 93, 138},
		StaticText {
			disabled,
			"creation date\nmodification date\nedition "
			"creator\nfile type"
		},
		/* [4] */
		{27, 141, 92, 391},
		StaticText {
			disabled,
			"^0\n^1\n^2\n^3"
		}
	}
};

resource 'DITL' (2001, "Expanded DTIL for subscribers") {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{11, 8, 32, 230},
		CheckBox {
			enabled,
			"Allow resizing of subscription"
		}
	}
};

resource 'DITL' (1005) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{60, 170, 80, 230},
		Button {
			enabled,
			"No"
		},
		/* [2] */
		{60, 100, 80, 160},
		Button {
			enabled,
			"Yes"
		},
		/* [3] */
		{10, 60, 52, 232},
		StaticText {
			disabled,
			"Are you sure you want to cancel this sub"
			"scription?"
		}
	}
};

resource 'CURS' (128) {
	$"FFC0 8240 8240 8240 FE40 8040 8040 FFC0",
	$"FFC0 8240 8240 8240 FE40 8040 8040 FFC0",
	{4, 6}
};

resource 'CURS' (129) {
	$"1E00 6180 4080 8C40 9240 9240 8C40 4080"
	$"6180 1E",
	$"1E00 6180 4080 8C40 9240 9240 8C40 4080"
	$"6180 1E",
	{4, 4}
};

resource 'CURS' (131) {
	$"D550 0010 8400 0410 B180 0410 8400 0010"
	$"8000 AAB0",
	$"FFF0 C030 C430 BFB0 BF90 8410 8410 8010"
	$"FFF0 FFF0",
	{0, 0}
};

resource 'CURS' (130) {
	$"FFFF 8001 BFFD 8001 BFFD 8001 BFFD 8001"
	$"8001 FFFF",
	$"FFFF FFFF C003 C003 C003 C003 C003 C003"
	$"FFFF FFFF",
	{0, 0}
};

resource 'MBAR' (148, preload) {
	{	/* array MenuArray: 5 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131,
		/* [5] */
		132
	}
};

resource 'ICON' (128) {
	$"0007 F000 001C 1C00 0030 0600 0040 0900"
	$"0EAC CC80 09A9 B7C0 0D6D 3570 1F00 0170"
	$"1200 0030 127C 3E2C 3C0C B01F 2405 2018"
	$"6401 0018 7402 0036 140E 0032 3C18 0032"
	$"2C1F C011 2C00 0019 2455 541F 4655 543C"
	$"4640 0434 2B5F FC76 1940 0456 19D5 54D4"
	$"18D5 55B2 1C55 5512 3875 5612 785D 5C11"
	$"D857 F40D A854 5405 B850 1404 F040 0404"
};

data 'CKH6' (0, "Owner resource") {
	$"00"                                                 /* . */
};

resource 'BNDL' (128) {
	'CKH6',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 6 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129,
			/* [3] */
			2, 130,
			/* [4] */
			3, 131,
			/* [5] */
			4, 132,
			/* [6] */
			5, 133
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 6 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129,
			/* [3] */
			2, 130,
			/* [4] */
			3, 131,
			/* [5] */
			4, 132,
			/* [6] */
			5, 134
		}
	}
};

resource 'STR ' (1000) {
	"EditionSample"
};

